(*$W-*)  (* Do not show the warnings triggered by --pedantic. *)

(*$P+*)

Program Switches;

Var
  S: String ( 5 );

(*$N-*)

(* Nested comments are switched off. }

(*$N+*)

(* Nested {comments} are switched {on}.*)


(*$ifdef INVIS *)

  GPC does not see this text unless you #define INVIS.  But why should you?

(*$endif *)


(*$define CMULB chr *)


begin
  (*$E+,C+*)  (* char-escapes and c-numbers on *)
  write ( '\117' );
  (*$E-*)  (* char-escapes off *)
  WriteStr ( S, '\n' + chr ( 013 ) + CMULB ( 0x0C ) );
  if S = '\n'^K#12 then
    writeln ( 'K' )
  else
  (*$E+*)
    writeln ( '\bfailed: ''', S, '''' );
end.
